org.keycloak.services.resources.account

## Class LinkedAccountsResource

- java.lang.Object
- - org.keycloak.services.resources.account.LinkedAccountsResource

-     public class LinkedAccountsResource
      extends Object

  API for linking/unlinking social login accounts
  Author:
    Stan Silvert

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinkedAccountsResource(KeycloakSession session, org.jboss.resteasy.spi.HttpRequest request, ClientModel client, Auth auth, EventBuilder event, UserModel user)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `buildLinkedAccountURI(String providerId, String redirectUri)` Deprecated.
    `SortedSet<LinkedAccountRepresentation>` | `getLinkedAccounts(KeycloakSession session, RealmModel realm, UserModel user)`
    `javax.ws.rs.core.Response` | `linkedAccounts()`
    `javax.ws.rs.core.Response` | `removeLinkedAccount(String providerId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LinkedAccountsResource

          public LinkedAccountsResource(KeycloakSession session,
                                        org.jboss.resteasy.spi.HttpRequest request,
                                        ClientModel client,
                                        Auth auth,
                                        EventBuilder event,
                                        UserModel user)

  - ### Method Detail

    - #### linkedAccounts

          @GET
           @Path(value="/")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response linkedAccounts()

    - #### getLinkedAccounts

          public SortedSet<LinkedAccountRepresentation> getLinkedAccounts(KeycloakSession session,
                                                                          RealmModel realm,
                                                                          UserModel user)

    - #### buildLinkedAccountURI

          @GET
           @Path(value="/{providerId}")
           @Produces(value="application/json")
           @Deprecated
          public javax.ws.rs.core.Response buildLinkedAccountURI(@PathParam(value="providerId")
                                                                                                                                                      String providerId,
                                                                                                                                                      @QueryParam(value="redirectUri")
                                                                                                                                                      String redirectUri)

      Deprecated.

    - #### removeLinkedAccount

          @DELETE
           @Path(value="/{providerId}")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response removeLinkedAccount(@PathParam(value="providerId")
                                                                                                                                          String providerId)

Copyright © 2020 JBoss by Red Hat. All rights reserved.